> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--scan/types/inputs/application-to-scan-input.md).

# applicationToScanInput

Configuration for an individual application to be scanned.

### Examples

```graphql
input ApplicationToScanInput {
  appId: String!
  appName: String!
  connectorId: String!
  credentialsId: String!
}
```

### Fields

| Field                   | Description                                             | Supported fields |
| ----------------------- | ------------------------------------------------------- | ---------------- |
| appId `String!`         | Unique identifier of the application                    |                  |
| appName `String!`       | Name of the application                                 |                  |
| connectorId `String!`   | Identifier of the connector to use for scanning         |                  |
| credentialsId `String!` | Identifier of the credentials to use for authentication |                  |

### References

#### Fields with this object:

* [{} SingleRepoScanInput.applications](/api-documentation/api-reference/api--scan/types/inputs/single-repo-scan-input.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--scan/types/inputs/application-to-scan-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
